<?php

namespace Litecms\Pack;

use User;

class Pack
{
    /**
     * $pack object.
     */
    protected $pack;

    /**
     * Constructor.
     */
    public function __construct(\Litecms\Pack\Interfaces\PackRepositoryInterface $pack)
    {
        $this->pack = $pack;
    }

    /**
     * Returns count of pack.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.pack.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->pack->pushCriteria(new \Litepie\Litecms\Repositories\Criteria\PackUserCriteria());
        }

        $pack = $this->pack->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('pack::' . $view, compact('pack'))->render();
    }
}
