<?php

namespace Litecms\Pack\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class PackTransformer extends TransformerAbstract
{
    public function transform(\Litecms\Pack\Models\Pack $pack)
    {
        return [
            'id'                => $pack->getRouteKey(),
            'key'               => [
                'public'    => $pack->getPublicKey(),
                'route'     => $pack->getRouteKey(),
            ], 
            'pack'              => $pack->pack,
            'url'               => [
                'public'    => trans_url('pack/'.$pack->getPublicKey()),
                'user'      => guard_url('pack/pack/'.$pack->getRouteKey()),
            ], 
            'status'            => trans('app.'.$pack->status),
            'created_at'        => format_date($pack->created_at),
            'updated_at'        => format_date($pack->updated_at),
        ];
    }
}